- updated to new upstream version

- SMP build should work now
- drop fix for spurious rpath - no longer necessary
This commit is contained in:
Tomáš Mráz 2009-05-29 12:05:28 +00:00
parent 9d6e09b013
commit 5440c80d90
4 changed files with 13 additions and 118 deletions

View File

@ -1,2 +1,2 @@
libtasn1-1.8.tar.gz
libtasn1-1.8.tar.gz.sig
libtasn1-2.2.tar.gz
libtasn1-2.2.tar.gz.sig

View File

@ -1,105 +0,0 @@
diff -up libtasn1-1.3/lib/libtasn1-config.in.~1~ libtasn1-1.3/lib/libtasn1-config.in
--- libtasn1-1.3/lib/libtasn1-config.in.~1~ 2008-02-01 17:14:52.000000000 +0100
+++ libtasn1-1.3/lib/libtasn1-config.in 2008-02-13 13:38:29.000000000 +0100
@@ -1,12 +1,8 @@
-#!/bin/sh
+#!/bin/bash
-prefix=@prefix@
-exec_prefix=@exec_prefix@
exec_prefix_set=no
-tasn1_libs="@LIBTASN1_LIBS@"
-tasn1_cflags="@LIBTASN1_CFLAGS@"
-tasn1_la_file="@libdir@/libtasn1.la"
+pkgopts=()
usage()
{
@@ -22,6 +19,11 @@ EOF
exit $1
}
+pkgcfg()
+{
+ ${PKG_CONFIG:-pkg-config} "${pkgopts[@]}" "$@" libtasn1
+}
+
if test $# -eq 0; then
usage 1 1>&2
fi
@@ -34,23 +36,23 @@ while test $# -gt 0; do
case $1 in
--prefix=*)
- prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=prefix=$optarg" )
if test $exec_prefix_set = no ; then
- exec_prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=exec_prefix=$optarg" )
fi
;;
--prefix)
echo_prefix=yes
;;
--exec-prefix=*)
- exec_prefix=$optarg
+ pkgopts=( "${pkgopts[@]}" "--define-variable=exec_prefix=$optarg" )
exec_prefix_set=yes
;;
--exec-prefix)
echo_exec_prefix=yes
;;
--version)
- echo "@VERSION@"
+ pkgcfg --modversion
exit 0
;;
--cflags)
@@ -60,7 +62,8 @@ while test $# -gt 0; do
echo_libs=yes
;;
--la-file)
- echo_la_file=yes
+ echo ".la file not shipped" >&2
+ exit 1
;;
--help)
usage 0
@@ -73,32 +76,17 @@ while test $# -gt 0; do
done
if test "$echo_prefix" = "yes"; then
- echo $prefix
+ pkgcfg --variable=prefix
fi
if test "$echo_exec_prefix" = "yes"; then
- echo $exec_prefix
+ pkgcfg --variable=exec_prefix
fi
if test "$echo_cflags" = "yes"; then
- if test "@includedir@" != "/usr/include" ; then
- includes="-I@includedir@"
- for i in $tasn1_cflags ; do
- if test "$i" = "-I@includedir@" ; then
- includes=""
- fi
- done
- fi
- echo $includes $tasn1_cflags
-fi
-
-if test "$echo_la_file" = "yes"; then
- echo ${tasn1_la_file}
+ pkgcfg --cflags
fi
if test "$echo_libs" = "yes"; then
- echo ${tasn1_libs}
+ pkgcfg --libs
fi
-
-
-

View File

@ -1,9 +1,9 @@
%{!?release_func:%global release_func() %1%{?dist}}
Summary: This is the ASN.1 library used in GNUTLS
Summary: The ASN.1 library used in GNUTLS
Name: libtasn1
Version: 1.8
Release: %release_func 2
Version: 2.2
Release: %release_func 1
# The libtasn1 library is LGPLv2+, utilities are GPLv3+
License: GPLv3+ and LGPLv2+
@ -11,7 +11,6 @@ Group: System Environment/Libraries
URL: http://www.gnu.org/software/gnutls/download.html
Source0: http://ftp.gnu.org/pub/gnu/gnutls/%name-%version.tar.gz
Source1: http://ftp.gnu.org/pub/gnu/gnutls/%name-%version.tar.gz.sig
Patch0: libtasn1-1.3-pkgconfig.patch
BuildRoot: %_tmppath/%name-%version-%release-buildroot
BuildRequires: bison, pkgconfig
%ifarch %ix86 x86_64 ppc ppc64
@ -56,14 +55,11 @@ This package contains tools using the libtasn library.
%prep
%setup -q
%patch0 -p1 -b .pkgcfg
%build
%configure --disable-static
sed -i 's|^sys_lib_dlsearch_path_spec=.*|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir} "|g' libtool
## SMP builds broke at 1.8
make #{?_smp_mflags}
make %{?_smp_mflags}
%install
@ -113,7 +109,6 @@ test "$1" != 0 ||
%files devel
%defattr(-,root,root,-)
%_bindir/*-config
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
@ -122,6 +117,11 @@ test "$1" != 0 ||
%changelog
* Fri May 29 2009 Tomas Mraz <tmraz@redhat.com> - 2.2-1
- updated to new upstream version
- SMP build should work now
- drop fix for spurious rpath - no longer necessary
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

View File

@ -1,2 +1,2 @@
6b87c159e7dcb6e58204cce1edb0fecc libtasn1-1.8.tar.gz
bcef3fb9557c0298eb45521a0d125e9b libtasn1-1.8.tar.gz.sig
14cc361500d2e768a8a6ec538ce3fecb libtasn1-2.2.tar.gz
ff9a3423d22789296793b315fd008d87 libtasn1-2.2.tar.gz.sig